# azure.mgmt.powerbiembedded.models module

exception `azure.mgmt.powerbiembedded.models.``ErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘Error’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.powerbiembedded.models.``ErrorDetail`(*, code: str = None, message: str = None, target: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ErrorDetail.

  Parameters:

  - code (str) –
  - message (str) –
  - target (str) –

class `azure.mgmt.powerbiembedded.models.``Error`(*, code: str = None, message: str = None, target: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error.

  Parameters:

  - code (str) –
  - message (str) –
  - target (str) –
  - details (list[ErrorDetail]) –

class `azure.mgmt.powerbiembedded.models.``AzureSku`(**kwargs)

  Bases: `msrest.serialization.Model`

  AzureSku.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - name (str) – Required. SKU name. Default value: “S1” .
  - tier (str) – Required. SKU tier. Default value: “Standard” .

  `name` = 'S1'
  `tier` = 'Standard'

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollection`(*, id: str = None, name: str = None, type: str = None, location: str = None, tags=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  WorkspaceCollection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - id (str) – Resource id
  - name (str) – Workspace collection name
  - type (str) – Resource type
  - location (str) – Azure location
  - tags (dict[str, str]) –
  - properties (object) – Properties

  Variables: | sku (AzureSku) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``Workspace`(*, id: str = None, name: str = None, type: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Workspace.

  Parameters:

  - id (str) – Workspace id
  - name (str) – Workspace name
  - type (str) – Resource type
  - properties (object) – Property bag

class `azure.mgmt.powerbiembedded.models.``Display`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, origin: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Display.

  Parameters:

  - provider (str) – The localized friendly form of the resource provider name. This form is also expected to include the publisher/company responsible. Use Title Casing. Begin with “Microsoft” for 1st party services.
  - resource (str) – The localized friendly form of the resource type related to this action/operation. This form should match the public documentation for the resource provider. Use Title Casing. For examples, refer to the “name” section.
  - operation (str) – The localized friendly name for the operation as shown to the user. This name should be concise (to fit in drop downs), but clear (self-documenting). Use Title Casing and include the entity/resource to which it applies.
  - description (str) – The localized friendly description for the operation as shown to the user. This description should be thorough, yet concise. It will be used in tool-tips and detailed views.
  - origin (str) – The intended executor of the operation; governs the display of the operation in the RBAC UX and the audit logs UX. Default value is ‘user,system’

class `azure.mgmt.powerbiembedded.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Operation.

  Parameters:

  - name (str) – The name of the operation being performed on this particular object. This name should match the action name that appears in RBAC / the event service.
  - display (Display) –

class `azure.mgmt.powerbiembedded.models.``OperationList`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  OperationList.

  Parameters: | value (list[Operation]) –

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionAccessKeys`(*, key1: str = None, key2: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  WorkspaceCollectionAccessKeys.

  Parameters:

  - key1 (str) – Access key 1
  - key2 (str) – Access key 2

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionAccessKey`(*, key_name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  WorkspaceCollectionAccessKey.

  Parameters: | key_name (str or AccessKeyName) – Key name. Possible values include: ‘key1’, ‘key2’

class `azure.mgmt.powerbiembedded.models.``CreateWorkspaceCollectionRequest`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  CreateWorkspaceCollectionRequest.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - location (str) – Azure location
  - tags (dict[str, str]) –

  Variables: | sku (AzureSku) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``UpdateWorkspaceCollectionRequest`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  UpdateWorkspaceCollectionRequest.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | tags (dict[str, str]) –
  Variables: | sku (AzureSku) –

  `sku` = <azure.mgmt.powerbiembedded.models.azure_sku.AzureSku object>

class `azure.mgmt.powerbiembedded.models.``CheckNameRequest`(*, name: str = None, type: str = 'Microsoft.PowerBI/workspaceCollections', **kwargs)

  Bases: `msrest.serialization.Model`

  CheckNameRequest.

  Parameters:

  - name (str) – Workspace collection name
  - type (str) – Resource type. Default value: “Microsoft.PowerBI/workspaceCollections” .

class `azure.mgmt.powerbiembedded.models.``CheckNameResponse`(*, name_available: bool = None, reason=None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  CheckNameResponse.

  Parameters:

  - name_available (bool) – Specifies a Boolean value that indicates whether the specified Power BI Workspace Collection name is available to use.
  - reason (str or CheckNameReason) – Reason why the workspace collection name cannot be used. Possible values include: ‘Unavailable’, ‘Invalid’
  - message (str) – Message indicating an unavailable name due to a conflict, or a description of the naming rules that are violated.

class `azure.mgmt.powerbiembedded.models.``MigrateWorkspaceCollectionRequest`(*, target_resource_group: str = None, resources=None, **kwargs)

  Bases: `msrest.serialization.Model`

  MigrateWorkspaceCollectionRequest.

  Parameters:

  - target_resource_group (str) – Name of the resource group the Power BI workspace collections will be migrated to.
  - resources (list[str]) –

class `azure.mgmt.powerbiembedded.models.``WorkspaceCollectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkspaceCollection` object

class `azure.mgmt.powerbiembedded.models.``WorkspacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Workspace` object

class `azure.mgmt.powerbiembedded.models.``AccessKeyName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `key1` = 'key1'
  `key2` = 'key2'

class `azure.mgmt.powerbiembedded.models.``CheckNameReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `invalid` = 'Invalid'
  `unavailable` = 'Unavailable'